#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Math
%define		pnam	PRSG
Summary:	Math::PRSG - Perl interface to pseudo random sequence generator function
Summary(pl.UTF-8):	Math::PRSG - interfejs Perla do funkcji generatora ciągów pseudolosowych
Name:		perl-Math-PRSG
Version:	1.0
Release:	25
# if used in a product, Systemics should be given attribution as the author
License:	free use, distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f0c32973d5b03d2a665b6ac6ec04b9c
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Math-PRSG/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::PRSG is a Perl interface to pseudo random sequence generator
function. It implements a (159, 31, 0) LFSR, giving a period of 160
bits. This can then be used as a RNG if seeded well (ie. with 160 bits
of entropy) and if the output is fed through a message digest function
(in order to prevent any prediction).

%description -l pl.UTF-8
Math::PRSG to perlowy interfejs do funkcji generatora ciągów
pseudolosowych. Implementuje funkcję LFSR (159, 31, 0) mającą okres
160-bitowy. Może być używany jako generator liczb losowych jeśli
zostanie dobrze zasilony (160 bitami entropii), a wyjście jest
przekazywane przez funkcję skrótu (w celu uniknięcia
przewidywalności).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc examples/prsg_driver.pl
%{perl_vendorarch}/Math/PRSG.pm
%dir %{perl_vendorarch}/auto/Math/PRSG
%attr(755,root,root) %{perl_vendorarch}/auto/Math/PRSG/PRSG.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-PRSG.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> a751f7a
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3f26b3e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7107656
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 14ce983
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0b21978
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> aa11e86
- rebuild with perl 5.30.0
- release 21 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 6467c70
- rebuild with perl 5.28.0
- release 20 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5739c87
- perl req/prov fix
- release 19 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bb11e2d
- rebuild with perl 5.26
- release 18 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b33a9cf
- rebuild with perl 5.24.0
- release 17 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2f5e334
- release 16 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0e35844
- x32 rebuild
- release 15 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8999029
- release 14 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d0e605f
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 523f25e
- rebuild for perl 5.20
- release 13 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ed1c254
- rebuild with perl 5.18.0
- release 12 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6af90d7
- release 11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 8fd630e
- generic URL, informative descs

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c069b57
- rel 10

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ced382c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

